Results 1 to 2 of 2

Thread: Knoppix: How to get KDE Programs to Compile on Knoppix ...

  1. #1
    Senior Member registered user
    Join Date
    Jun 2003
    Posts
    101

    Knoppix: How to get KDE Programs to Compile on Knoppix ...

    How to get KDE Programs to Compile on Knoppix ...
    (This is somewhat of an long procdure.)

    You won't be able to compile program's using xlibs-pic, Xinerama_pic and some dlopen type program's

    DO THIS, IF YOU HAVEN'T ALREADY ! REF: http://www.knoppix.net/forum/viewtop...?p=21477#21477

    REQUIRMENTS:
    apt-get install kdelibs
    apt-get install kdebase
    apt-get install libxml2-dev (Think this is All)


    Code:
    apt-get -t unstable install libqt3-mt-dev
    
    Errors were encountered while processing:
     /var/cache/apt/archives/libxcursor-dev_1.0.2-2_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    dpkg -i --force-overwrite /var/cache/apt/archives/libxcursor-dev_1.0.2-2_i386.deb
    
    Run a couple of installs so libqt3-mt-dev installs all the way!!!
    
    AKA: apt-get install beep
    I got kdelibs4-dev installed by following the instructions from the link below, I was able to compile 2 program's that required KDE Headers, 2 other's failed. (The other 2 might have been KDE 2 type's).

    You'll also need to download QT-FREE from Trolltech and install in usr/local/qt .

    Don't forget to ./configure -thread , BUT READ Install
    First - there's one other thing you need to do Before ./configure -thread .

    Qt/X11 Free: ftp://ftp.trolltech.com/qt/source/qt...-3.2.1.tar.bz2

    REF: http://mailman.linuxtag.org/pipermai...ay/002924.html


    NOTE:Concerning above Ref.,I searched the 2 files for kdelibs4-dev and deleted xlibs-pic & libartsc0-dev - after finishing the
    above Ref. instructions, I did apt-get install libartsc0-dev .



  2. #2
    Senior Member registered user
    Join Date
    Mar 2003
    Location
    Germany
    Posts
    297
    Nice idea, but why don't you use:

    ./configure --with-qt-includes=/usr/include/qt3 --with-qt-libs=/usr/lib/qt3

    Did work always for me ...

    cu

    Fabian

Similar Threads

  1. knoppix 3.3 feb edition will not compile kernel
    By coindood in forum Hdd Install / Debian / Apt
    Replies: 6
    Last Post: 05-05-2004, 08:17 AM
  2. I can't compile anything on knoppix 3.3
    By rex64 in forum General Support
    Replies: 4
    Last Post: 04-24-2004, 10:32 PM
  3. Kernel compile problem - first Knoppix kernel compile
    By Nigel_Tufnel in forum Hdd Install / Debian / Apt
    Replies: 2
    Last Post: 10-20-2003, 01:09 PM
  4. How to use qt3 to compile programs on Knoppix?
    By grigro in forum General Support
    Replies: 2
    Last Post: 10-14-2003, 12:07 AM
  5. gcc version used to compile Knoppix kernel?
    By thincritter in forum General Support
    Replies: 4
    Last Post: 07-01-2003, 03:10 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •